4

gource is a software version control visualization tool that I would like to use with Git. I've installed it on my Raspberry Pi (sudo apt-get install gource), but unfortunately when I run it I get this error message:

$ gource
gource: SDL initialization failed - couldn't find matching GLX visual
Try 'gource --help' for more information

Some commands I ran:

$ glxinfo
name of display: :1.0
Error: couldn't find RGB GLX visual or fbconfig

Any ideas on where to go from here?

  • Have you tried turning off multi-sampling? – Jacobm001 Jul 31 '13 at 17:39
  • @Jacobm001 It's off by default, you have to enable it with --multi-sampling. – syb0rg Jul 31 '13 at 17:43
1

After a little research done by myself (with a little help from @Jacobm001), I found that this command solved my issues:

sudo apt-get install libgl1-mesa-swx11

Now I can view a very slow video of my work in Git. Turning down the resolution helps with the speed.

| improve this answer | |
  • Just wondering, how did you get it to work on Raspberry Pi? Doesn't this run on OpenGL which Rapsberry Pi doesn't support? – aug Nov 13 '14 at 22:39
  • @aug I ran these two commands (the one in my question and the one in this answer), and it worked, albeit very slowly. – syb0rg Nov 14 '14 at 3:42

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.